# cwltool.secrets

Minimal in memory storage of secrets.

## Classes

`SecretStore` | Minimal implementation of a secret storage.

## Module Contents

class cwltool.secrets.SecretStore

  Minimal implementation of a secret storage.

  secrets: dict[str, str]
  add(value)

    Add the given value to the store.

    Returns a placeholder value to use until the real value is needed.

    Parameters:

      value (cwl_utils.types.CWLOutputType | None)

    Return type:

      cwl_utils.types.CWLOutputType | None

  store(secrets, job)

    Sanitize the job object of any of the given secrets.

    Parameters:

      - secrets (list[str])

      - job (cwl_utils.types.CWLObjectType)

    Return type:

      None

  has_secret(value)

    Test if the provided document has any of our secrets.

    Parameters:

      value (cwl_utils.types.CWLOutputType)

    Return type:

      bool

  retrieve(value)

    Replace placeholders with their corresponding secrets.

    Parameters:

      value (cwl_utils.types.CWLOutputType)

    Return type:

      cwl_utils.types.CWLOutputType